[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TCustomForm.DefaultMonitor

The monitor on which the form is displayed.

## Declaration

Source position: forms.pp line 778

`public property TCustomForm.DefaultMonitor : TDefaultMonitor read FDefaultMonitor write FDefaultMonitor default dmActiveForm;`

## Description

Possible values:

dmDesktop
  No attempt to choose specific monitor.
dmPrimary
  On the primary monitor.
dmMainForm
  On the same monitor as the main form. If there is no main form then use dmPrimary behavior.
dmActiveForm
  On the same monitor as the currently active form. If there is no active form use dmMainForm behavior.